%define oname		mp3splt
%define major		0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname -d %{oname}

Name:		libmp3splt
Version:	0.9.2
Release:	%mkrel 2
Summary:	Library to split MP3 and Ogg Files
Source0:	http://downloads.sourceforge.net/mp3splt/%{name}-%{version}.tar.xz
URL:		http://mp3splt.sourceforge.net
Group:		System/Libraries
License:	GPLv2+
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	glibc-devel
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(flac)

%description
The mp3Splt project provides utilities to split mp3 and ogg files,
by selecting a begin and an end time position, without decoding.
It is very useful to split large mp3/ogg into smaller files,
or to split entire albums to obtain original tracks.
To split an album, the split points and filenames can be selected
manually or automatically from CDDB (internet or a local file),
or from .cue files.

It supports automatic silence detection, which can be used
to adjust cddb/cue split points. It is also possible to extract
tracks from Mp3Wrap or AlbumWrap files in a few seconds.

The mp3splt project is divided in 3 parts:
libmp3splt, mp3splt and mp3splt-gtk.

%package -n %{libname}
Summary:	Library to split MP3 and Ogg Files
Group:		System/Libraries

%description -n %{libname}
Library to split mp3 and ogg files selecting a begin and an end time position,
without decoding. It's very useful to split large mp3/ogg to make smaller
files or to split entire albums to obtain original tracks.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for the mp3splt project.

%prep
%setup -q

%build
%configure2_5x \
	--disable-optimise \
	--disable-rpath \
	--disable-static \
	--disable-doxygen_doc
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}/%{_datadir}/locale

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}0
%{_libdir}/%{name}0/libsplt_*.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so
%{_libdir}/%{name}0/libsplt_*.so


%changelog
* Tue Jul 30 2019 tex - 0.9.2-2pclos2019
- rebuild against updates

